Page MenuHomePhabricator

cloudvps: reading-web-staging project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the reading-web-staging project needs to upgrade as soon as possible.

The list of affected VMs is:

  • nomad.reading-web-staging.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/reading-web-staging

Event Timeline

Krenair triaged this task as Medium priority.Sep 17 2018, 4:48 PM
Krenair created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2018, 4:48 PM

Just to clarify, is this just nomad or all the instances? e .g. trending.reading-web-staging.eqiad.wmflabs ?

Just to clarify, is this just nomad or all the instances? e .g. trending.reading-web-staging.eqiad.wmflabs ?

I think that our audit only found nomad to still be running Ubuntu Trusty as the base operating system. I just checked trending and it is running Debian Jessie:

$ ssh root@trending.reading-web-staging.eqiad.wmflabs
$ lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 8.5 (jessie)
Release:        8.5
Codename:       jessie
Jdlrobson added a project: User-Jdlrobson.

Ok great, that makes this much simpler. Thanks for the clarification.
When does this need to be done by? this is my instance, so I'll put this on my todo list!

Krenair added a comment.EditedSep 19 2018, 5:42 PM

When does this need to be done by?

https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation says the deadline is December (though it is a draft).

Hey @Jdlrobson! Just a friendly reminder that you should get rid of your Trusty instances as described in https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects. The deadline is 2018-12-18. Please get in contact if you need help.

Nomad instance can be deleted later today. I migrated the instance but ive been keeping it around to make sure i got everything. Will ping back when done.

Jdlrobson closed this task as Resolved.Oct 22 2018, 10:33 PM

nomad is no more! Lemme know if any follow ups are needed.